# AndroidImportance

```
firebase.notifications.Android.Importance
```

## Constants

### Default

Default notification importance: shows everywhere, makes noise, but does not visually intrude.

```
firebase.notifications.Android.Importance.Default
```

### High

Higher notification importance: shows everywhere, makes noise and peeks. May use full screen intents.

```
firebase.notifications.Android.Importance.High
```

### Low

Low notification importance: shows everywhere, but is not intrusive.
    
```
firebase.notifications.Android.Importance.Low
```

### Max

Unused.
    
```
firebase.notifications.Android.Importance.Max
```

### Min

Min notification importance: only shows in the shade, below the fold.
    
```
firebase.notifications.Android.Importance.Min
```

### None

A notification with no importance: does not show in the shade.
    
```
firebase.notifications.Android.Importance.None
```

### Unspecified

Value signifying that the user has not expressed an importance. This value is for persisting preferences, and should never be associated with an actual notification.
    
```
firebase.notifications.Android.Importance.Unspecified
```